org.richfaces.fragment.list

## Interface ListComponent<T extends ListItem>

- Type Parameters:
    `T` - type extending ListItem
  All Known Subinterfaces:
    Messages<T>, Notify<T>
  All Known Implementing Classes:
    AbstractListComponent, DayPicker.CalendarDaysImpl, RichFacesFileUpload.RichFacesFileUploadList, RichFacesList, RichFacesLog.RichFacesLogEntries, RichFacesMessages, RichFacesNotify, RichFacesOrderingList.SelectableListImpl, RichFacesPickList.SelectableListImpl

      public interface ListComponent<T extends ListItem>

  Author:
    Jiri Stefek

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getItem(ChoicePicker picker)` Gets item found by `picker`.
    `T` | `getItem(int index)` Gets the item on the given `index`.
    `T` | `getItem(String text)` Gets the item which text representation is exact match with the given param `text`
    `List<T>` | `getItems()` Gets all items from this list.
    `List<T>` | `getItems(MultipleChoicePicker picker)` Gets multiple items accoriding to the rules given in `picker` param.
    `org.openqa.selenium.WebElement` | `getRootElement()` Gets the root of this component.
    `boolean` | `isEmpty()` Founds out whether the list is empty or not.
    `int` | `size()` Gets the size of this list component.

- - ### Method Detail

    - #### getItem

          T getItem(int index)

      Gets the item on the given `index`.
      Parameters:
        `index` - index of the item to be returned
      Returns:
        item at index or null

    - #### getItem

          T getItem(String text)

      Gets the item which text representation is exact match with the given param `text`
      Parameters:
        `text` - the text according to which the item will be returned
      Returns:
        first item which matches given text or null

    - #### getItem

          T getItem(ChoicePicker picker)

      Gets item found by `picker`.
      Parameters:
        `picker` - for picking from the items
      Returns:
        found item or null
      See Also:
        `ChoicePickerHelper.ByIndexChoicePicker`, `ChoicePickerHelper.ByVisibleTextChoicePicker`

    - #### getItems

          List<T> getItems()

      Gets all items from this list.
      Returns:
        all items in list

    - #### getItems

          List<T> getItems(MultipleChoicePicker picker)

      Gets multiple items accoriding to the rules given in `picker` param.
      Parameters:
        `picker` - for picking from list
      Returns:
        all items that returns picker
      See Also:
        `MultipleChoicePicker`

    - #### getRootElement

          org.openqa.selenium.WebElement getRootElement()

      Gets the root of this component.
      Returns:
        the root element of this component

    - #### isEmpty

          boolean isEmpty()

      Founds out whether the list is empty or not.
      Returns:
        true if size() == 0, false otherwise

    - #### size

          int size()

      Gets the size of this list component.
      Returns:
        size of the list

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.